package ld26;

import java.awt.Color;

/*
	I can't shake the feeling that making games is a waste of time.

	I've discussed this with several individuals I know, some to fairly decent length.

	There are games that do exist purely for entertainment.
	People play to have a good time and forget about life.

	Why does anyone seek to forget about life?
	There are completely understandable reasons.
	Abuse. Depression. Loss. Those sorts of things.

	But for those of us who have fairly good lifes, what reason is there to spend the time we do have?

	There are arguments that some games bring up an important discussion. Some cinema brings up an important discussion.
	Some music brings up an important discussion. Some writing brings up an important discussion.
	Some action brings up an important discussion.
	Some opinion brings up an important discussion.

	I may be over-generalizing. I'm sure it's safe to say I am.
	But, damnit, we could be doing more than playing games and telling stories. There's a universe out there.

	There's so much to learn and explore.

	We have a limited amount of time to live.



	If it comes down to some sort of genetic/physiological distinction whereby some people have none of that drive to explore,
	or some people decide they do not have the capacity to explore,
	or some people decide they do not have the intelligence to learn,
	what is there to say to that?

	But I think it is our responsibility as sentient, intelligent creatures, to at least help one another prosper.

	And many of us do not do that to the fullest extent we can.

	Hell, some of us turn down that help.

	Some of us are unable to help, some of us act in ways that we feel we should not help.



	I want to have an answer for you after reading this, but I don't.

	It's something I wonder every day, and I'm still at it.

	I openly invite you to argue with me about it. Argument is a good thing, if kept civil.



	Returning to the original comments on the translation of this data into other data, though;

	I find it ironic that on one hand this may be more entertaining and interesting than the game produced by
	the source code here.

	I find it doubly ironic that none of this text is included in that translation, and thus is entirely
	independant of the representation that allows the game to exist in the way I intend it.

	But is it plausible to say that this text is, in fact, part of the game?

	It's bundled together, at the least.
*/

public class Resource{
	Color color = null;
	Integer priority;

	public Resource(Color c, Integer p){
		color = c;
		priority = p;
	}
	public Color getColor(){
		return color;
	}
	public Integer priority(){
		return priority;
	}

}