package com.ixee.GraphIX;

import com.ixee.datastruct.Coordinate;

import java.awt.image.BufferedImage;

//This IxImage class loads an image as a BufferedImage and asks OpenGL to load it to the gpu.
//therefore this relies on OpenGL/GPU presence, and prefferably GraphIX

public class IxImage{
	BufferedImage staticImage;
	int address = -1;
	Coordinate size;

	public IxImage(int id, BufferedImage input){
		staticImage = input;
		address = id;
		size = new Coordinate(input.getWidth(null), input.getHeight(null), 0);
	}
	public int getAddress(){
		return address;
	}
	public Coordinate getSize(){
		return size;
	}

}