package com.ixee.GraphIX;

public class glEAnimMultizoom extends glEAnim{

	glEImage[][] multiframes;

	public glEAnimMultizoom(glEImage[][] frameImages, int loops, int ms){
		super(null, loops, ms);
		multiframes = frameImages;
	}
	public glEAnimMultizoom copy(){
		return new glEAnimMultizoom(multiframes, numLoops, msPerFrame);
	}
	public glEImage current(){
		return multiframes[currImage][0];
	}
	public glEImage current(int z){
		if(multiframes[currImage].length > z){
			return multiframes[currImage][z];
		}else{
			return null;
		}
	}
	public void setFrame(int i){
		if(i < multiframes.length && i > 0){
			currImage = i;
		}
	}
	public void next(){
		if(currImage<multiframes.length-1){
			currImage++;
		}else{
			if(numLoops > 0){
				currImage = 0;
				numLoops--;
			}else if(numLoops == -1){
				currImage = 0;
			}
		}
	}
	public void prev(){
		if(currImage>0){
			currImage--;
		}else{
			if(numLoops > 0){
				currImage = multiframes.length-1;
				numLoops--;
			}else if(numLoops == -1){
				currImage = multiframes.length-1;
			}
		}
	}
	public boolean atEnd(){
		boolean returnable = false;
		if(currImage == multiframes.length-1){
			returnable = true;
		}
		return returnable;
	}
	public int numFrames(){
		return multiframes.length;
	}
	public int animLength(){
		return msPerFrame*multiframes.length;
	}
}