package com.ixee.datastruct;

import java.util.HashMap;

public class CountedAttributeList{
	HashMap<String, Integer> attribCounts;

	public CountedAttributeList(){
		attribCounts = new HashMap<String, Integer>();
	}
	public void count(String s){
		if(!attribCounts.containsKey(s)){
			attribCounts.put(s, 0);
		}
		attribCounts.put(s, attribCounts.get(s)+1);
	}
	public void uncount(String s){
		if(!attribCounts.containsKey(s)){
			throw new RuntimeException("Attempted to uncount type "+s+" from a list where it was never counted in the first place!");
		}
		attribCounts.put(s, attribCounts.get(s)-1);
	}
	public boolean is(String s){
		if(!attribCounts.containsKey(s)){
			return false;
		}else{
			return attribCounts.get(s) > 0;
		}
	}
	public boolean flagExists(String s){
		return attribCounts.containsKey(s);
	}
}