//Contains some SolarSystem and a list of attached SolarSystemNodes. Ok.

package com.ixee.datastruct;

import java.util.ArrayList;

public class GraphNode<T>{
	T contents;
	ArrayList<GraphNodeConnection<T>> linkages;
	boolean explored;

	public GraphNode(T t){
		explored = false;
		contents = t;
		linkages = new ArrayList<GraphNodeConnection<T>>();
	}
	public ArrayList<GraphNodeConnection<T>> getConnections(){
		return linkages;
	}
	public T getContents(){
		return contents;
	}
	public void connect(GraphNode<T> t, double dist){
		linkages.add(new GraphNodeConnection<T>(t, dist));
	}
	public void setExplored(boolean b){
		explored = b;
	}
	public boolean isExplored(){
		return explored;
	}
	public GraphNode<T> clone(){
		return new GraphNode<T>(contents);
	}
}