package com.ixee.datastruct;

public class Matrix{
	double[][] elements;

	public Matrix(int height, int width){
		elements = new double[height][width];
	}
	public Matrix(double[][] d){
		elements = d;
	}
	public Matrix(double[] values, int width){
		elements = new double[values.length/width][width];
		for(int i=0;i<elements.length;i++){
			System.arraycopy(values, width*i, elements[i], 0, width);
		}
	}
	public double getElem(int i, int j){
		//check for bounds one day.
		return elements[i][j];
	}
	public void setElem(int i, int j, double d){
		//cehck bounds one day.
		elements[i][j] = d;
	}
	public int height(){
		return elements.length;
	}
	public int width(){
		int returnable = 0;
		if(elements.length>0){
			returnable = elements[0].length;
		}
		return returnable;
	}
}