package com.ixee.ui.ogl;

import com.ixee.GraphIX.glEEngine;
import com.ixee.GraphIX.glEImage;
import com.ixee.datastruct.Coordinate;


public class UIImage extends UIElement{
	glEImage image;
	public UIImage(Coordinate c){
		super(c);
		image = new glEImage(0, new Coordinate(0, 0), new Coordinate(0, 0));
	}
	public UIImage(Coordinate c, glEImage img){
		super(c);
		setImage(img);
	}
	public void setImage(glEImage img){
		image = img;
	}
	public glEImage getImage(){
		return image;
	}
	public void draw(glEEngine g){
		g.drawImage(image, centerpoint);
	}
	public double right(){
		return centerpoint.getX()+image.getSize().getX()/2;
	}
	public double left(){
		return centerpoint.getX()-image.getSize().getX()/2;
	}
	public double top(){
		return centerpoint.getY()+image.getSize().getY()/2;
	}
	public double bottom(){
		return centerpoint.getY()-image.getSize().getY()/2;
	}
	public void close(){}
}