package com.ixee.GraphIX;

import com.ixee.datastruct.Coordinate;

public class GIXVariables{
	public static GIXMath fastMath;
	public static int gameheight=0;
	public static int gamewidth=0;

	public static Coordinate mousePosition = new Coordinate(0,0,0);
	public static int mouseWheelMovement=0;
	public static final int LSHIFT = 26;
	public static final int RSHIFT = 27;
	public static final int LCONTROL = 28;
	public static final int RCONTROL = 29;
	public static final int ESCAPE = 30;
	public static final int RETURN = 31;
	public static final int PAUSE = 32;
	public static final int BACKSPACE = 33;
	public static final int SPACE = 34;
	public static final int LALT = 35;
	public static final int RALT = 36;
	public static final int LBRACE = 47;
	public static final int RBRACE = 48;
	public static final int MINUS = 49;
	public static final int EQUALS = 50;
	public static final int BSLASH = 51;
	public static final int FSLASH = 52;
	public static final int SEMICOLON = 53;
	public static final int APOSTROPHE = 54;
	public static final int COMMA = 55;
	public static final int PERIOD = 56;
	public static final int GRAVE = 57;
	public static final int DELETE = 58;
	public static final int TAB = 59;

	public static boolean mouseInWindow;
	public static boolean mouseHasWheel;
	public static boolean[] mouseButtons;
	public static boolean[] mouseButtonsReleased;

	public static char[] keys = {'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','x','y','z'};
	public static boolean[] keyPresses = new boolean[60];
	public static boolean[] diffs = new boolean[60];
		/*
			0-25 = alphabet.					|	Capitals
			26 = leftshift						|	n/a
			27 = rightshift						|	n/a
			28 = leftcontrol					|	n/a
			29 = rightcontrol					|	n/a
			30 = esc							|	n/a
			31 = enter							|	n/a
			32 = pause							|	n/a
			33 = esc							|	n/a
			34 = space							|	n/a
			35 = leftAlt						|	n/a
			36 = rightAlt						|	n/a
			37-46 = numKeys above alphabet		|	! @ # $ % ^ & * ( )
			47 = [								|	{
			48 = ]								|	}
			49 = -								|	_
			50 = =								|	+
			51 = \								|	|
			52 = /								|	?
			53 = ;								|	:
			54 = '								|	"
			55 = ,								|	<
			56 = .								|	>
			57 = ` 								|	~
			58 = delete							|	n/a
			59 = backspace						|	n/a
			60 = tab							|	n/a
		*/
}