package com.ixee.GraphIX;

import com.ixee.datastruct.Coordinate;

import java.awt.Color;

public class glELight{
	Coordinate location;
	Coordinate direction;
	double arc;
	double intensity = 1;
	double decay = 1; //linear. Decay is the power to which the light decreases in strength. brightness = dist^decay.
	Color castColor;

	public glELight(Coordinate loc, Coordinate dir, double angle, double power, Color c){
		location = loc;
		direction = dir;
		arc = angle;
		intensity = power;
		castColor = c;

	}
	public Coordinate getLocation(){
		return location;
	}
	public Coordinate getDirection(){
		return direction;
	}
	public double getArc(){
		return arc;
	}
	public Color getColor(){
		return castColor;
	}
	public double getIntensity(){
		return intensity;
	}
}