package com.ixee.GraphIX;

public class glEVBOSpriteData{
	int bufferPointer;
	//That's really all we need..
	//Throw in info about how many verticies/textures and offset/skew of them.
	int vertexOffset;
	int vertexSkew;
	int textureOffset;
	int textureSkew;
	int numVerticies;

	public glEVBOSpriteData(int pointer, int vO, int vS, int tO, int tS, int nV){
		bufferPointer = pointer;
		vertexOffset = vO;
		vertexSkew = vS;
		textureOffset = tO;
		textureSkew = tS;
		numVerticies = nV;
	}
	public int stride(){
		return 4*(3+2);		//3 floats for vertex loc, 2 floats for texture coord, 4 bytes for a float
	}
	public int numVerticies(){
		return numVerticies;
	}
	public int pointer(){
		return bufferPointer;
	}
	public int vertexOffset(){
		return vertexOffset;
	}
	public int vertexSkew(){
		return vertexSkew;
	}
	public int textureOffset(){
		return textureOffset;
	}
	public int textureSkew(){
		return textureSkew;
	}
}