package com.ixee.GraphIX;

import java.awt.Color;

import com.ixee.datastruct.Coordinate;

public class graphicsTest{

	public static void main(String[] args){
		GIXEngine eng = new GIXEngine("eng", 1024, 600);
		glEEngine e = eng.graphics();
		e.loadFont("C:/Java/sceg-new/font/defaultFont.gixf");
		int offset = 0;
		int yoff = 0;

		int destx = 4;
		int desty = 3;

		while(true){
			if(pressed('a')){
				destx--;
			}
			if(pressed('d')){
				destx++;
			}
			if(pressed('w')){
				desty++;
			}
			if(pressed('s')){
				desty--;
			}
			offset = (offset+1)%4;
			yoff = (yoff+1)%2;
			e.drawRect(new Coordinate(10, -10), new Coordinate(-10, 10), new Color(100, 100, 4));
			for(int y=300;y>-300;y-=2){
				for(int i=-512;i<512;i+=4){
				//	e.setPixel(-i+offset, y+yoff, new Color(0, 255, 255));
				//e.update();
				}
			}
			//e.drawString("hi", 0, 0);
			drawPath(-400, 200, 200, -75, 1, 1, destx, desty, e);
			eng.update();
		//	System.out.println("what");
		}
	}
	public static boolean pressed(char c){
		return GIXVariables.keyPresses[c-'a'] && GIXVariables.diffs[c-'a'];
	}

	public static void drawPath(int offX, int offY, int strideX, int strideY, int posIX, int posIY, int posDX, int posDY, glEEngine e){
		//posIY and posDY are assumed to never be equal, and posIX should always be greater than posDX

		Coordinate iteratorStart;
		Coordinate iteratorEnd;
		iteratorStart = new Coordinate(offX+posIX*strideX, offY+posIY*strideY);
		iteratorEnd = iteratorStart;
		int indicesToTravelX = posDX-posIX;
		int indicesToTravelY = posDY-posIY;

		Color curveColor = new Color(60, 150, 200);

		if(indicesToTravelY != 0){
			//if(indicesToTravelX != 0){
			//	iteratorEnd = iteratorEnd.add(new Coordinate(strideX*indicesToTravelX*0.5/Math.abs(indicesToTravelX), 0));
			//}
			//System.out.println(iteratorEnd+", "+iteratorStart);

					/*
						First thing we do is move the line into a space between research boxes in the right direction.

						So, move the line up or down by 25% of the vertical stride.
					*/
			e.rotate(0.0001f);
			e.translate
			iteratorEnd = iteratorEnd.add(new Coordinate(0, strideY*indicesToTravelY*0.25/Math.abs(indicesToTravelY)));
			e.drawLine(iteratorStart, iteratorEnd, curveColor);
			iteratorStart = iteratorEnd;

			if(indicesToTravelX != 0){
				iteratorEnd = iteratorEnd.add(new Coordinate(strideX*indicesToTravelX*0.33/Math.abs(indicesToTravelX), strideY*0.5));
			}else{
				iteratorEnd = iteratorEnd.add(new Coordinate(strideX*0.33, strideY*0.5));
			}
			Coordinate curveFocus = iteratorStart.add(new Coordinate(0, strideY*0.5));
			e.drawCurve(iteratorStart, iteratorEnd, curveFocus, curveColor, curveColor);
			iteratorStart = iteratorEnd;

			if(indicesToTravelX > 0){
				iteratorEnd = iteratorEnd.add(new Coordinate(strideX*(indicesToTravelX-1), 0));
				e.drawLine(iteratorStart, iteratorEnd, curveColor);
				iteratorStart = iteratorEnd;
			}else if(indicesToTravelX < 0){
				iteratorEnd = iteratorEnd.add(new Coordinate(strideX*(indicesToTravelX+1), 0));
				e.drawLine(iteratorStart, iteratorEnd, curveColor);
				iteratorStart = iteratorEnd;
			}
			iteratorEnd = iteratorEnd.add(new Coordinate(0, strideY*(indicesToTravelY-1)));

		}


	}

}