package com.ixee.dataops;

import com.ixee.datastruct.Coordinate;

public class Logic{
	public static void main(String[] args){
		int[] testArray = new int[100];

		int negOne = -1;

		int goodIndex = 0;

		int tooLarge = testArray.length+3;

		System.out.println("Is "+negOne+" a valid array index? "+inBounds(negOne, testArray));
		System.out.println("Is "+goodIndex+" a valid array index? "+inBounds(goodIndex, testArray));
		System.out.println("Is "+tooLarge+" a valid array index? "+inBounds(tooLarge, testArray));

	}
	public static boolean inBounds(int index, Object[] array){
		return (index >= 0 && index < array.length);
	}
	public static boolean inBounds(int index, int[] array){
		return (index >= 0 && index < array.length);
	}
	public static boolean inBounds(int index, short[] array){
		return (index >= 0 && index < array.length);
	}
	public static boolean inBounds(int index, byte[] array){
		return (index >= 0 && index < array.length);
	}
	public static boolean inBounds(int index, boolean[] array){
		return (index >= 0 && index < array.length);
	}
	public static int clamp(int lowValue, int highValue, int inputValue){
		return (inputValue < highValue ? (inputValue > lowValue ? inputValue : lowValue) : highValue);
	}
	public static double pythag(Coordinate c, Coordinate b){
		return Math.sqrt((c.getX()-b.getX())*(c.getX()-b.getX())+(b.getY()-c.getY())*(b.getY()-c.getY()));
	}
}