//exception for when an array of size a has its contents replaced by an array size b where b > a
package com.ixee.datastruct;

import java.util.ArrayList;

public class ArrayIsWrongSizeException extends Exception{
	public ArrayIsWrongSizeException(){
		super();
	}
	public ArrayIsWrongSizeException(int a, int b){
		super("The incoming array has a size of " + b + " while " + a + " was expected.");
	}
	public ArrayIsWrongSizeException(Double[] a, Double[] b){
		super("The incoming array has a size of " + b.length + " while " + a.length + " was expected.");
	}
	public ArrayIsWrongSizeException(ArrayList a, ArrayList b){
		super("The incoming array has a size of " + b.size() + " while " + a.size() + " was expected.");
	}
}