/*
	Just to provide a way to have a once-set set of verbosity flags

	and then track when the flags are accessed neatly.
*/

package com.ixee.logging;

public class Verbosity{
	int verbosity = 0;

	public Verbosity(int flags){
		verbosity = flags;
	}
	public boolean reports(int type){
		return (verbosity & type) > 0;
	}
	public void setVerbosity(int flags){
		verbosity = flags;
	}
}